# rampart_saml.h File Reference

build saml tokens and validate saml tokens More...

`#include <axutil_utils_defines.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axiom_soap.h>`
`#include <axis2_msg_ctx.h>`
`#include <oxs_asym_ctx.h>`
`#include <oxs_xml_encryption.h>`
`#include <rampart_context.h>`
`#include <axutil_utils.h>`
`#include <axiom.h>`
`#include <rampart_saml_token.h>`
`#include <oxs_key_mgr.h>`
`#include <rp_rampart_config.h>`

Go to the source code of this file.

## Defines
#define | RAMPART_ST_FAULT_SECURITYTOKENUNAVAILABLE_STR "A referenced SAML assertion could not be retrieved."
#define | RAMPART_ST_FAULT_UNSUPPORTEDSECURITYTOKEN_STR "An assertion contains a <saml:condition> element that the receive does not understand."
#define | RAMPART_ST_FAULT_FAILEDCHECK_STR "A signature withing an assertion or referencing an assertion is invalid."
#define | RAMPART_ST_FAULT_INVALIDSECURITYTOKEN_STR "The issuer of an assertion is not acceptable to the receiver."
#define | RAMPART_ST_FAULT_SECURITYTOKENUNAVAILABLE_CODE "wsse:SecurityTokenUnavailable"
#define | RAMPART_ST_FAULT_UNSUPPORTEDSECURITYTOKEN_CODE "wsse:UnsupportedSecurityToken"
#define | RAMPART_ST_FAULT_FAILEDCHECK_CODE "wsse:FailedCheck"
#define | RAMPART_ST_FAULT_INVALIDSECURITYTOKEN_CODE "wsse:InvalidSecurityToken"
#define | RAMPART_SAML_FAULT_CODE "env:Sender"
## Functions
AXIS2_EXTERN axis2_status_t | rampart_saml_supporting_token_build (const axutil_env_t *env, rampart_context_t *rampart_context, axiom_node_t *sec_node, axutil_array_list_t *sign_parts)
AXIS2_EXTERN axis2_status_t | rampart_saml_token_validate (const axutil_env_t *env, rampart_context_t *rampart_context, axiom_node_t *assertion)
AXIS2_EXTERN char * | rampart_saml_token_get_subject_confirmation (const axutil_env_t *env, axiom_node_t *assertion)
AXIS2_EXTERN int | rampart_saml_token_fault_securitytokenunavailable (axutil_env_t *env, axis2_msg_ctx_t *ctx)
AXIS2_EXTERN int | rampart_saml_token_fault_unsupportedsecuritytoken (axutil_env_t *env, axis2_msg_ctx_t *ctx)
AXIS2_EXTERN int | rampart_saml_token_fault_failedcheck (axutil_env_t *env, axis2_msg_ctx_t *ctx)
AXIS2_EXTERN int | rampart_saml_token_fault_invalidsecuritytoken (axutil_env_t *env, axis2_msg_ctx_t *ctx)
AXIS2_EXTERN rampart_saml_token_t * | rampart_saml_add_token (rampart_context_t *rampart_context, const axutil_env_t *env, axiom_node_t *assertion, axiom_node_t *str, rampart_st_type_t type)

## Detailed Description

build saml tokens and validate saml tokens

## Function Documentation

AXIS2_EXTERN axis2_status_t rampart_saml_supporting_token_build | ( | const axutil_env_t * | env,
|  | rampart_context_t * | rampart_context,
|  | axiom_node_t * | sec_node,
|  | axutil_array_list_t * | sign_parts |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | rampart_context |
  | sec_node |
  | sign_parts |

Returns:
  status of the op. AXIS2_SUCCESS on success and AXIS2_FAILURE on error

AXIS2_EXTERN int rampart_saml_token_fault_failedcheck | ( | axutil_env_t * | env,
|  | axis2_msg_ctx_t * | ctx |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | ctx |

Returns:

AXIS2_EXTERN int rampart_saml_token_fault_invalidsecuritytoken | ( | axutil_env_t * | env,
|  | axis2_msg_ctx_t * | ctx |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | ctx |

Returns:

AXIS2_EXTERN int rampart_saml_token_fault_securitytokenunavailable | ( | axutil_env_t * | env,
|  | axis2_msg_ctx_t * | ctx |
| ) |  |  |

SAML token proccessing faults

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | ctx |

Returns:

AXIS2_EXTERN int rampart_saml_token_fault_unsupportedsecuritytoken | ( | axutil_env_t * | env,
|  | axis2_msg_ctx_t * | ctx |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | ctx |

Returns:

AXIS2_EXTERN char* rampart_saml_token_get_subject_confirmation | ( | const axutil_env_t * | env,
|  | axiom_node_t * | assertion |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | assertion |

Returns:

AXIS2_EXTERN axis2_status_t rampart_saml_token_validate | ( | const axutil_env_t * | env,
|  | rampart_context_t * | rampart_context,
|  | axiom_node_t * | assertion |
| ) |  |  |

Parameters:

  | env | pointer to environment struct,Must not be NULL.
  | rampart_context |
  | assertion |

Returns:
  status of the op. AXIS2_SUCCESS on success and AXIS2_FAILURE on error